// Copyright © 2017-2018 Atomic Software, LLC. All Rights Reserved.
// See LICENSE.md for full license information.

using Atom.Core.Local;

namespace Atom.Core.Networking.Messages.Structures.User
{
    public sealed class PROTO_NC_USER_WORLDSELECT_ACK : NetworkMessage
    {
        public PROTO_NC_USER_WORLDSELECT_ACK(WorldStatus worldstatus, string ip, ushort port, string validate_new) : base(MessageProtocol.NC_USER_WORLDSELECT_ACK)
        {
            Write((byte) worldstatus);
            Write(ip, 16);
            Write(port);
            Write(validate_new, 64);
        }
    }
}
